# JsDoc Reference - Crypto.RSA

Class Index | File Index

## Classes

- _global_
- Crypto
- Crypto.RSA

# Namespace Crypto.RSA

Defined in: rsa.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Crypto.RSA

Method Summary
Method Attributes | Method Name and Description
--- | ---
<inner> | b2mpi(b)
<inner> | badd(a, b)
<inner> | bdiv(x, y)
<inner> | bmod(p, m)
<inner> | bmod2(x, m, mu)
<inner> | bmodexp(xx, y, m)
<inner> | bmul(a, b)
<inner> | bsub(a, b)
<inner> | mpi2b(s)
<inner> | RSAdecrypt(m, d, p, q, u)
<inner> | RSAencrypt(s, e, m)
<inner> | simplemod(i, m)
<inner> | toppart(x, start, len)
<inner> | zeros(n)

Namespace Detail
Crypto.RSA
Method Detail
<inner> b2mpi(b)

Parameters:
b

<inner> badd(a, b)

Parameters:
a
b

<inner> bdiv(x, y)

Parameters:
x
y

<inner> bmod(p, m)

Parameters:
p
m

<inner> bmod2(x, m, mu)

Parameters:
x
m
mu

<inner> bmodexp(xx, y, m)

Parameters:
xx
y
m

<inner> bmul(a, b)

Parameters:
a
b

<inner> bsub(a, b)

Parameters:
a
b

<inner> mpi2b(s)

Parameters:
s

<inner> RSAdecrypt(m, d, p, q, u)

Parameters:
m
d
p
q
u

<inner> RSAencrypt(s, e, m)

Parameters:
s
e
m

<inner> simplemod(i, m)

Parameters:
i
m

<inner> toppart(x, start, len)

Parameters:
x
start
len

<inner> zeros(n)

Parameters:
n

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Feb 06 2012 00:12:29 GMT+0100 (CET)